# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

#ladspa-sdk, cmt: http://www.ladspa.org/download/
%define ladsp_sdk_version    1.12

Name:			ladspa
Summary:		The Linux Audio Developer's Simple Plug-in API
Version:		1.12.20070916
Release:		1.4
License:		GPL
Group:			Development/Libraries/C and C++
Source1:		ladspa_sdk_%{ladsp_sdk_version}.tar.bz2
Patch0:			%{name}.diff
Patch1:			%{name}-sdk-compile-fix.diff
Patch2:			%{name}-sine.cpp.diff
URL:			http://www.ladspa.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	pkgconfig
BuildRequires:	gcc-c++
Provides:		%{name}-devel

%description
The Linux Audio Developer's Simple Plug-in API (LADSPA) provides
the ability to write simple plug-in audio processors in C/C++ and
link them dynamically.

The package contains the LADSPA SDK and some plugins.

%debug_package

%prep
%setup -q -c -n %{name} -T -a1
%patch0
pushd ladspa_sdk
%patch1
%patch2 -p1
popd

%build
export SUSE_ASNEEDED=0

# make a symlink to include directory
ln -sf ladspa_sdk/src include

# LADSPA SDK
pushd ladspa_sdk/src
	%__make CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC -I." targets
popd

%install
# create some paths ...
%__install -dm 755 %{buildroot}%{_bindir}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_docdir}/%{name}

############
# LADSPA SDK
############
cd ladspa_sdk/src
%__make install \
	INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/%{name} \
	INSTALL_INCLUDE_DIR=%{buildroot}%{_includedir} \
	INSTALL_BINARY_DIR=%{buildroot}%{_bindir}
cd ../..

# install documents
%__install -dm 755 %{buildroot}%{_docdir}/%{name}/ladspa_sdk
%__install -m 644 ladspa_sdk/README \
	%{buildroot}%{_docdir}/%{name}/ladspa_sdk
%__install -m 644 ladspa_sdk/doc/* \
	%{buildroot}%{_docdir}/%{name}/ladspa_sdk
%__install -m 644 ladspa_sdk/snd/* \
	%{buildroot}%{_docdir}/%{name}/ladspa_sdk

# fix the location
ln -sf %{_includedir}/%{name}.h  %{buildroot}%{_docdir}/%{name}/ladspa_sdk/%{name}.h.txt

# /etc/profile.d/ladspa.sh
# set LADSPA_PATH=/usr/lib(64)/ladspa
%__install -dm 755 %{buildroot}%{_sysconfdir}/profile.d
echo "export LADSPA_PATH=%{_libdir}/ladspa" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
echo "setenv LADSPA_PATH %{_libdir}/ladspa" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%{_includedir}/*
%{_sysconfdir}/profile.d/%{name}.sh
%{_sysconfdir}/profile.d/%{name}.csh

%changelog
* Mon Aug 27 2007 Toni Graffy <toni@links2linux.de> - 1.12.20070916-0.pm.1
- removed all plugins and created extra packages
* Mon Aug 27 2007 Toni Graffy <toni@links2linux.de> - 1.12.20070827-0.pm.1
- update ladspa-trigger-20070826
- added find_lang
* Sun Aug 12 2007 Toni Graffy <toni@links2linux.de> - 1.12.20070812-0.pm.1
- updated caps to 0.4.2
* Sun Jun 17 2007 Toni Graffy <toni@links2linux.de> - 1.12.20070617-0.pm.1
- updated omins to 0.2.1pre
- updated caps to 0.4.0
- added ladspa-trigger-20070411
- added debug_package
* Sat Dec 31 2006 Detlef Reichelt <detlef@links2linux.de> - 1.12.20060812-0.pm.2
- add /etc/profile.d/ladspa.(c)sh
* Wed Sep 20 2006 Toni Graffy <toni@links2linux.de> - 1.12.20060812-0.pm.1
- build for packman
* Sat Aug 12 2006 - oc2pus@arcor.de 1.12.20060812-0.oc2pus.1
- updated swh-plugins to 0.4.15
* Tue Jul 25 2006 - oc2pus@arcor.de 1.12.20060725-0.oc2pus.1
- updated AMP-plugins 0.1.0
- added wasp-0.1.4-docs and "forgotten" plugins
- bzip2'ed swh-documentation
* Tue May 30 2006 - oc2pus@arcor.de 1.12.20060530-0.oc2pus.1
- added lasdpa-sine.cpp.diff (SuSE-10.1)
* Thu May 25 2006 - oc2pus@arcor.de 1.12.20060525-0.oc2pus.1
- added ladspa-sdk-compile-fix.diff (SuSE-10.1)
- added ladspa-alienwah-compile-fix.diff (SuSE-10.1)
- added ladspa-clipper-Makefile.diff (SuSE-10.1)
- fixed lemux compilation against actula ladsa-sdk (SuSE-10.1)
* Sat Apr 15 2006 - oc2pus@arcor.de 1.12.20060415-0.oc2pus.1
- updated AMP-plugins 0.0.2
- updated FIL-plugins 0.1.0
- added aweight-plugin
* Wed Feb 01 2006 - oc2pus@arcor.de 1.12.20060201-0.oc2pus.1
- added wasp-0.1.4
- added lemux-0.2
* Tue Jan 31 2006 - oc2pus@arcor.de 1.12.20060131-0.oc2pus.1
- updated pvoc to 0.1.11
- updated swh-plugins to 0.4.14
- updated caps-plugins to 0.3.0
- added omins-0.2
- added AMB-plugins-0.0.1
* Fri Aug 19 2005 - oc2pus@arcor.de 1.12.20050819-0.oc2pus.1
- updated caps-plugins to 0.2.3
- updated njl-plugins to 0.2.1
* Thu May 04 2005 - oc2pus@arcor.de 1.12.20050505-0.oc2pus.1
- removed sooperlooper as extra package
- stretch an manpage, blop*.rdf included
- added clipper
* Tue Apr 12 2005 - oc2pus@arcor.de 1.12.20050412-0.oc2pus.1
- added blepvco-0.1.0
* Thu Apr 07 2005 - oc2pus@arcor.de 1.12.20050407-0.oc2pus.3
- split in ladspa and ladspa-gui: sooperlooper gui pulls in too much
  dependencies to this library
- removed all patches for swh-plugins (patch1, patch2, patch15)
* Wed Apr 06 2005 - oc2pus@arcor.de 1.12.20050405-0.oc2pus.2
- added njl-plugins-0.2 (added patch17)
* Tue Apr 05 2005 - oc2pus@arcor.de 1.12.20050405-0.oc2pus.1
- updated swh-plugins to 0.4.13
- updated ladspa-swh.{tex,pdf,html}.
- updated REV-plugins to 0.3.1
- updated caps-plugins to 0.2.1
- updated vocoder to 0.3
- removed patch12 for blop
- updated sooperlooper to 1.0.0b28 (removed patch4)
- menu-entry for sooperlooper-GUI and sooperlooper Samples
- corrected Requires/BuildRequires
- added plugins_list.txt for blop
- bzipped *.diff
* Wed Aug 18 2004 - tiwai@suse.de
- updated swh-plugins to 0.4.7.
- updated TAP-plugins to 0.7.0.
- updated caps-plugins to 0.1.12.
- updated blop plugin to 0.2.8.
- added FIL-plugins 0.0.1.
- added pvoc-plugins 0.1.10.
* Mon Jun 21 2004 - ro@suse.de
- remove some "const" statements where the pointer is modified
* Mon Jun 14 2004 - mana@suse.de
- Updated MCP and VCO plugins
* Fri Mar 05 2004 - tiwai@suse.de
- added TAP-plugins 0.4.2.
- added CAPS 0.1.10.
- added super-60 plugin.
* Thu Jan 22 2004 - tiwai@suse.de
- fixed the build of swh-plugins with the latest automake.
- updated MCP and REV plugins to version 0.2.1.
- added VCO plugins 0.2.1.
- updated blop to version 0.2.7.
- updated preamp v2.
- added matched plugin.
- updated sooperlooper to 0.93.
- updated vocoder to 0.2.
- clean up the installation phase.
- fixed the type punning in swh and blop plugins.
* Mon Jan 12 2004 - adrian@suse.de
- add %%defattr
* Fri Jan 09 2004 - tiwai@suse.de
- updated swh plugins to version 0.4.3.
* Mon Aug 25 2003 - tiwai@suse.de
- added vlevel plugin.
* Mon Aug 25 2003 - tiwai@suse.de
- updated to LADSPA-SDK 1.12, CMT-1.15.
- added REV-plugins.
* Mon Aug 18 2003 - tiwai@suse.de
- added RDF file for CMT.
* Wed Aug 06 2003 - meissner@suse.de
- do not compile gverb-test.c on !i386, until the code
  gets rid of hardcoded "rdtsc" assembler.
* Tue Aug 05 2003 - tiwai@suse.de
- use fftw3 for swh plugins.
* Tue Jul 29 2003 - tiwai@suse.de
- added pkgconfig to neededforbuild.
- fixed the build on x86-64.
* Fri Jun 06 2003 - tiwai@suse.de
- updated swh-plugins to ver.0.4.2.
- added MCP-plugins-0.0.2.
- fixed the symlink of ladspa.h.txt.
* Thu Apr 03 2003 - tiwai@suse.de
- updated swh-plugins to ver.0.3.7.
* Mon Mar 03 2003 - tiwai@suse.de
- removed _init and _fini patches from swh plugin.
  works with ams now (bug #24523).
* Mon Jan 20 2003 - ro@suse.de
- fix multiline-string issue in code (pitchscale.c)
* Thu Jan 16 2003 - tiwai@suse.de
- updated swh plugsin to version 0.3.6.
* Tue Nov 26 2002 - tiwai@suse.de
- updated LADSPA SDK ver.1.1.
- updated CMT.
- updated to swh plugin ver.0.3.0.
- added unmatched and preamp plugins.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Sep 17 2002 - arvin@suse.de
- fixed seg. fault in alienwah plugin on hammer
* Tue Sep 03 2002 - mana@suse.de
- Added README_VCF for vcf filter plugins
* Mon Aug 12 2002 - tiwai@suse.de
- added vcf plugin version 0.0.5.
* Wed Jul 24 2002 - tiwai@suse.de
- added blop plugins ver.0.2.5.
- updated the swh documents.
* Mon Jul 22 2002 - tiwai@suse.de
- updated swh-plugins to ver.0.2.8.
* Tue Jun 25 2002 - tiwai@suse.de
- updated swh-plugins to ver.0.2.7.
  fixed for gcc-3.1.
- updated alienwah plugin to ver.1.13.
* Tue May 07 2002 - schwab@suse.de
- Link with $(CC) instead of ld.
- Fix invalid casts.
* Wed Apr 10 2002 - tiwai@suse.de
- updated swh plugins to version 0.2.5.
- fixed build with gcc-3.1.
* Mon Jan 28 2002 - tiwai@suse.de
- added sooperlooper plugin (ver.0.9).
- fixed installation of alienwah plugin.
* Tue Jan 15 2002 - tiwai@suse.de
- updated swh plugins ver.0.2.3.
  some plugins are added; many bug fixes.
- updated ladspa-swh.{tex,pdf}.
* Wed Jan 02 2002 - tiwai@suse.de
- updated swh plugins ver.0.2.2.
* Mon Dec 10 2001 - tiwai@suse.de
- added alienwah plugin (ver.1.11).
- updated version number.
* Fri Oct 19 2001 - tiwai@suse.de
- updated to swh plugins ver.0.2.1.
* Fri Oct 05 2001 - tiwai@suse.de
- added vocoder plugin (ver.0.1).
* Fri Aug 24 2001 - tiwai@suse.de
- updated to swh plugins ver.0.2.0.
  + fixed a major bug that bit somtimes in instantiation.
  + human readable docs (pdf & TeX).
* Fri Aug 03 2001 - tiwai@suse.de
- fixed compile on ia64.
* Mon Jul 23 2001 - tiwai@suse.de
- updated swh plugins to 0.1.14.
* Mon Jul 09 2001 - tiwai@suse.de
- updated swh plugins to 0.1.13.
* Thu Jun 07 2001 - tiwai@suse.de
- fixed build.
* Thu Apr 05 2001 - tiwai@suse.de
- Updated swh plugins to 0.1.11.
- Updated cmt libs.
* Wed Mar 07 2001 - tiwai@suse.de
- Fixed compile on ia64 and axp.
- Replace mkdirhier with mkdir -p in CMT's makefile.
- Use RPM_OPT_FLAGS for CFLAGS in compile of swh plugins.
* Thu Feb 01 2001 - tiwai@suse.de
- Updated swh plugins to 0.1.10.
* Tue Jan 30 2001 - tiwai@suse.de
- Updated swh plugins to 0.1.9.
* Mon Jan 08 2001 - tiwai@suse.de
- Linked dynamically with fftw lib.
* Fri Jan 05 2001 - tiwai@suse.de
- Updated swh plugins to 0.1.8.
- Correct the address of swh.
* Wed Dec 13 2000 - tiwai@suse.de
- Updated swh plugins to 0.1.7.
* Tue Nov 28 2000 - tiwai@suse.de
- Linked statically with fftw.
* Tue Nov 21 2000 - tiwai@suse.de
- Updated swh plugin 0.1.2.
* Fri Nov 17 2000 - tiwai@suse.de
- Updated swh plugin 0.1.1.
* Fri Nov 17 2000 - tiwai@suse.de
- Added swh plugins.
* Tue Nov 07 2000 - tiwai@suse.de
- Updated to the latest source.
- Fixed autobuild on beta-i386.
- Remove compat requirement.
* Tue Sep 26 2000 - tiwai@suse.de
- Changed to bzip2.
* Wed Aug 16 2000 - uli@suse.de
- now links to standard libstdc++ instead of 2.9 from compat (which does
  not exist on PPC)
* Tue Aug 01 2000 - tiwai@suse.de
- Initial package - LADSPA SDK and CMT libraries ver.1.
